# CSDN 统一标签设计

CSDN 在长期发展中，各个业务发展出各有特色的标签定义和用户体验，这个博客的目的是想把这些设计都统一起来，同时征求用户的意见， 发布一个全站一致，用户体验好的标签系统。 

现有的标签体系真是百花齐放：

个人信息中，有自己的兴趣标签
博客中，可以写标签
问答中，可以写提问的标签
论坛中，不同的子论坛，也是一种标签
下载业务有很多资源标签
mobile App 中用户发blink，也可以自带标签
... 

# 出发点

这是一个初稿，设计的出发点：

- 不要最全的，关注当前在实践中使用的。 
- 只有二级结构，可以允许标签在各种类型中重复
- 都是小写，如果有通用的中文词汇， 使用中文词汇而不是英文。 

## Q&A
<!-->
1. 是否会影响现在的标签使用？比如用户还可以继续在博客、问答等产品中自由使用标签吗？

    > 现在标签是用户自由生成的，基于用户的需要随意创建

2. 是否会有一套统一的标签体系？如果有的话我如何去贡献？

    > 比如一个 CSDN Tags 的 wiki ？需要新增一个 Tag 就是类似去创建一个 wiki 页？

<--!>
