## 编程语言

c, c++, c#, perl, java, erlang, go, javascript, objective-c, kotlin, swift, qt, lua, ruby, bash, batch, julia, r, scala, Julia, typescript, php, python, rust

## 游戏

游戏引擎，虚幻，ue4，ue5，unity，godot，cocos2d，cryengine，lumberyard，OGRE，pygame，VR, AR，MR，XR，图形渲染，着色器，maya，3dsmax，blender，cinema4d，zbrush，3dcoat, topogun, rizomuv, substance designer，substance painter，quixel，houdini，数字雕刻，重拓扑，UV，骨骼绑定，材质，贴图，动画，关卡设计，游戏程序，游戏美术，游戏策划，技术美术, cascadeur, spine

## 前端

Javascript， vue/vue.js，layui，jquery，node.js，angular，easyui，javascript，elementui，react，echarts，bootstrap，ecmascript，typescript，jqgrid

## 数据库:

mysql，oracle，sqlserver，mongodb，postgresql，navicat，database，redis，sqlite， big data，spark，kafka，hadoop，zookeeper，rabbitmq，flume，elasticsearch，hbase，hive，flink，storm，时序数据库，tsdb， mssql

## 数据结构与算法

数据结构；链表， 散列表， 宽度优先， 广度优先， 深度优先，  迭代加深， 启发式算法， 图搜索算法， 动态规划， 爬山算法， 模拟退火算法， 算法； 贪心算法； 排序算法；决策树；最小二乘法；逻辑回归；线性回归；支持向量机；svm；近邻算法；均值算法；kmeans；随机森林；leetcode；预编码算法；红黑树；二叉树；b树；霍夫曼树；插入排序；堆排序；剪枝；合并排序；哈希算法；推荐算法

## 人工智能

tensorflow，pytorch，opencv，keras，caffe，scikit-learn，sklearn，pytorch，mxnet，mllib，paddlepaddle，jittor，deeplearning4j，tensorrt，mnn，mmlab，x-deep learning，mindspore，tensorrt，机器学习，集成模型，xgboost，lightbgm，adboost，boosting，概率图模型，最大期望算法，聚类/clustering，深度学习，神经网络，门控循环单元，长短期记忆，迁移学习，图神经网络，生成对抗网络，图卷积，推荐模型，deepfm，智能推荐，协同过滤，语音识别，监督学习，无监督学习，半监督学习，集成学习，迁移学习，主成分分析，奇异值分解，计算机视觉，边缘检测，目标检测，动作检测，行人检测，目标跟踪，语义分割，图像处理，数据增广，超分辨率算法，图像生成，alexnet，googlenet，yolo，强化学习，马尔可夫决策过程，自然语言处理，语言模型，语义理解，情感分析，指代消歧，依存解析，语言建模，机器翻译，自动摘要，自然语言推理，elmo，transformer，xlnet，doc2vec，skipgram，cbow，bert，albert，nnlm，lda/主题模型，glove，词嵌入，cnn，rnn，lstm，分类，朴素贝叶斯，非最大值抑制，人机对话，知识图谱，实体消歧，信息抽取，图计算，联邦学习，deepdive， bert，streamset

## 开发工具

idea，jupyter，pycharm，vscode，eclipse，vim，phpstorm，myeclipse, git, github, svn, visualstudio, jupytet, postman

## 网络

网络协议，tcp，tcp/ip，udp，websocket，网络安全

## 嵌入式

arm，物联网，iot，mcu，51单片机，stm32，proteus，嵌入式硬件，单片机，嵌入式实时数据库，rtdbs

## 区块链

比特币，libra，以太坊，数字货币，去中心化，分布式账本，信任链，

## 移动开发 （包括了iOS 和 Android，以及跨平台移动开发）

Flutter，iOS，xcode， macos, android, electron, Xamarin,

## 微软开发 （包括了 .Net 和其他微软平台的技术）

.netcore, asp.net, c#, typescript, linq, hololens, mssql, azure， WPF，MFC，.net5，.net6

## 测试

单元测试，集成测试，测试覆盖率，模块测试，压力测试，测试工具，安全性测试，威胁分析， 测试用例，可用性测试，AB测试

## 软件工程

需求分析，规格说明书，结对编程，极限编程，sprint，scrum，敏捷流程，jira，github，tfs，

## 设计模式

UML， 开闭原则，里氏替换原则，依赖倒置原则，单一职责原则，接口隔离原则，迪米特法则，合成复用原则，单例模式，原型模式，简单工厂模式，工厂方法模式，抽象工厂模式，建造者模式，代理模式，适配器模式，桥接模式，装饰器模式，外观模式，享元模式，组合模式，模板方法模式，策略模式，命令模式，责任链模式，状态模式，观察者模式，中介者模式，迭代器模式，访问者模式，备忘录模式，解释器模式

## 操作系统

linux，windows，win10，gnu ，octave，ios，macos，blackberry，鸿蒙，centos, ubuntu

